# Method: entityUsageReports.get

- [HTTP request](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#body.aspect)
- [EntityType](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#EntityType)
- [Try it!](https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#try-it)

Retrieves a report which is a collection of properties and statistics for entities used by users within the account. For more information, see the [Entities Usage Report guide](https://developers.google.com/admin-sdk/reports/v1/guides/manage-usage-entities). For more information about the entities report's parameters, see the [Entities Usage parameters](https://developers.google.com/admin-sdk/reports/v1/reference/usage-ref-appendix-a/entities) reference guides.

### HTTP request

`GET https://admin.googleapis.com/admin/reports/v1/usage/{entityType}/{entityKey or all}/dates/{date}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `entityType` | ``enum (`https://developers.google.com/workspace/admin/reports/reference/rest/v1/entityUsageReports/get#EntityType`)`` Represents the type of entity for the report. |
| `entityKey or all` | `string` Represents the key of the object to filter the data with. It is a string which can take the value `all` to get activity events for all users, or any other value for an app-specific entity. For details on how to obtain the `entityKey` for a particular `entityType`, see the [Entities Usage parameters](https://developers.google.com/admin-sdk/reports/v1/reference/usage-ref-appendix-a/entities) reference guides. |
| `date` | `string` Represents the date the usage occurred, based on UTC-8:00 (Pacific Standard Time). The timestamp is in the [ISO 8601 format](https://en.wikipedia.org/wiki/ISO_8601), `yyyy-mm-dd`. |

### Query parameters

| Parameters ||
|---|---|
| `customerId` | `string` The unique ID of the customer to retrieve data for. |
| `filters` | `string` The `filters` query string is a comma-separated list of an application's event parameters where the parameter's value is manipulated by a relational operator. The `filters` query string includes the name of the application whose usage is returned in the report. The application values for the Entities usage report include `accounts`, `docs`, and `gmail`. Filters are in the form `[application name]:[parameter name][relational operator][parameter value],...`. In this example, the `<>` 'not equal to' operator is URL-encoded in the request's query string (%3C%3E): ``` GET https://www.googleapis.com/admin/reports/v1/usage/gplus_communities/all/dates/2017-12-01 ?parameters=gplus:community_name,gplus:num_total_members &filters=gplus:num_total_members%3C%3E0 ``` <br /> The relational operators include: - `==` - 'equal to'. - `<>` - 'not equal to'. It is URL-encoded (%3C%3E). - `<` - 'less than'. It is URL-encoded (%3C). - `<=` - 'less than or equal to'. It is URL-encoded (%3C=). - `>` - 'greater than'. It is URL-encoded (%3E). - `>=` - 'greater than or equal to'. It is URL-encoded (%3E=). Filters can only be applied to numeric parameters. <br /> |
| `maxResults` | `integer (https://developers.google.com/discovery/v1/type-format format)` Determines how many activity records are shown on each response page. For example, if the request sets `<span>maxResults=1</span>` and the report has two activities, the report has two pages. The response's `<span>nextPageToken</span>` property has the token to the second page. |
| `pageToken` | `string` Token to specify next page. A report with multiple pages has a `nextPageToken` property in the response. In your follow-on request getting the next page of the report, enter the `nextPageToken` value in the `pageToken` query string. |
| `parameters` | `string` The `parameters` query string is a comma-separated list of event parameters that refine a report's results. The parameter is associated with a specific application. The application values for the Entities usage report are only `gplus`. A `parameter` query string is in the CSV form of `[app_name1:param_name1], [app_name2:param_name2]...`. > [!NOTE] > **Note:** The API doesn't accept multiple values of a parameter. If a particular parameter is supplied more than once in the API request, the API only accepts the last value of that request parameter. > In addition, if an invalid request parameter is supplied in the API request, the API ignores that request parameter and returns the response corresponding to the remaining valid request parameters. > An example of an invalid request parameter is one that does not belong to the application. If no parameters are requested, all parameters are returned. <br /> |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://developers.google.com/workspace/admin/reports/reference/rest/v1/customerUsageReports#UsageReports`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/admin.reports.usage.readonly`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).

## EntityType

| Enums ||
|---|---|
| `gplus_communities` | Returns a report on Google+ communities. |